*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}


:root{
    --primary-blue: #0b2560;
    --secondary-blue: #173b8f;
    --primary-red: #c73027;
    --secondary-red: #f82a20;
    --primary-gray: #656565;
    --primary-font:'Roboto', sans-serif;
    --primary-white: #eee;
    --secondary-white: #d7d5d5;
    --primary-blackblue: #22252d;
    --secondary-blackblue: #4e4e4e;
}

html, body {
    overflow-x: hidden;
}

/* Chrome, Edge y Safari */
::-webkit-scrollbar {
  width: 10px;
}

::-webkit-scrollbar-track {
  background: #fff;
}

::-webkit-scrollbar-thumb {
  background: var(--secondary-blue);
  border-radius: 10px;
}

::-webkit-scrollbar-thumb:hover {
  background: var(--primary-blue);
}

/* Firefox */
* {
  
  scrollbar-color: var(--secondary-blue) #fff;
}

body {
  margin: 0;
  font-family: var(--primary-font);
}

/* icon whatsapp*/
/* Botón flotante */
.whatsapp-float {
  position: fixed;
  bottom: 30px;
  right: 20px;
  z-index: 9999;

  animation:
    appear 0.6s ease forwards,
    vibrate 5s infinite 2s;
}

/* Círculo */
.whatsapp-inner {
  width: 65px;
  height: 65px;
  background: var(--secondary-blue);
  border-radius: 50%;

  display: flex;
  align-items: center;
  justify-content: center;

  box-shadow: 0 6px 18px rgba(0, 0, 0, 0.25);

  transition:
    transform 0.3s ease,
    box-shadow 0.3s ease;
}

/* Hover */
.whatsapp-inner:hover {
  transform: scale(1.15);
  background: var(--primary-blue);
  box-shadow: 0 10px 24px rgba(0, 0, 0, 0.35);
}

/* Imagen */
.whatsapp-inner img {
  width: 34px;
  height: 34px;
  object-fit: contain;
}

/* Aparición */
@keyframes appear {
  0% {
    opacity: 0;
    transform: translateY(30px) scale(0.7);
  }

  100% {
    opacity: 1;
    transform: translateY(0) scale(1);
  }
}

/* Vibración suave */
@keyframes vibrate {
  0% {
    transform: translateX(0) rotate(0deg);
  }

  2% {
    transform: translateX(-3px) rotate(-4deg);
  }

  4% {
    transform: translateX(3px) rotate(4deg);
  }

  6% {
    transform: translateX(-3px) rotate(-4deg);
  }

  8% {
    transform: translateX(3px) rotate(4deg);
  }

  10% {
    transform: translateX(0) rotate(0deg);
  }

  100% {
    transform: translateX(0) rotate(0deg);
  }
}
/* fin icon whatsapp */

button h3{
    font-family: var(--primary-font);
}


/* Ajustes generales */
.width-xl{
    width: 100%;
    max-width: 1280px;
    margin-left: auto;
    margin-right: auto;
}

.padding-xl{
    padding: 15px 35px;
}

.margin-xl{
    margin: 100px 0;
}

@media(max-width: 600px){
    .margin-xl{
        margin: 80px 0;
    }

    .padding-xl{
        padding: 20px 25px;
    }
}

h2{
    font-size: 2rem;
    color: var(--primary-blackblue);
    line-height: 2.7rem;
}

h1 span, h2 span{
    color: var(--primary-red);
}

p{
    color: var(--secondary-blackblue);
    line-height: 1.5rem;
   
}

@media(max-width: 600px){
    h2{
        font-size: 1.5rem;
        line-height: 2.3rem;
    }


    p{
        font-size: 14px;
    }
}

/* NAVBAR BASE */

.navbar {
  position: fixed;
  top: 0;
  width: 100%;
  transition: all 0.3s ease;
  z-index: 1000;
  transition: background-color 0.4s ease;
  
}

.navbar.menu-active {
    background: #fff;
}

.navbar-into{
display: flex;
  justify-content: space-between;
  align-items: center;
  transition: background-color 0.3s ease;
  
}


/* TRANSPARENTE INICIAL */

.navbar.transparent {
  background: transparent;
}

/* FONDO BLANCO AL SCROLL */

.navbar.scrolled {
  background: white;
  box-shadow: 0px 4px 10px rgba(0,0,0,0.2);
}



/* LEFT SIDE */

.nav-left {
  display: flex;
  align-items: center;
  gap: 12px;
  text-decoration: none;
  
}




.logo , .logo-contorno{
  height: 50px;
}





.logo-text {
  display: flex;
  flex-direction: column;
  line-height: 1.1;
}

.line1 {
  font-weight: bold;
  font-size: 18px;
  color: white;
}

.line2 {
  font-size: 14px;
  color: rgb(198, 198, 198);
}

@media(max-width: 600px){
    .logo , .logo-contorno{
  height: 40px;
}

.line1{
    font-size: 16px;
   
}
}

/* Configuracion para que funcione el hero con navbar transparente*/

.nav-left.reverse .logo-text .line1 {
    color: var(--primary-blue);
}

.nav-left.reverse .logo-text .line2 {
    color: var(--primary-red);
}

/* Configuracion por si se abre el menu en mobile*/

.navbar-into.menu-open .nav-left .logo-text .line1 {
    color: var(--primary-blue);
}

.navbar-into.menu-open .nav-left .logo-text .line2 {
    color: var(--primary-red);
}

/* CENTER SIDE */

.nav-center {
  display: flex;
  gap: 30px;
}

.nav-center a {
  text-decoration: none;
  color: white;
  font-weight: 600;
  transition: 0.2s;
  position: relative;
    padding-bottom: 5px;

}

.nav-center.reverse a{
    color:  var(--primary-blue);
}

/* Configuracion para que los colores funcionen cuando se abre el menu en mobile*/
.navbar-into.menu-open .nav-center a{
    color: var(--primary-blue);
}


/* Mantener activo la opcion*/
.nav-center a.active{
    color: var(--primary-red);
}


.nav-center a.active::after{
    transform: scaleX(1);
}


.nav-center a::after {
  content: "";
  position: absolute;
  bottom: -3px;
  left: -5px;
  width: calc(100% + 10px);
  height: 3px;
  background: var(--primary-red);

  transform: scaleX(0);
  transform-origin: left;
  transition: transform 0.3s ease;
}

/* Animación al hover */
.nav-center a:hover::after {
  transform: scaleX(1);
}


.nav-center a:hover {
  color: var(--primary-red);
}

/* Right Side*/

.nav-right{
    display: flex;
    align-items: center;
    
}
.nav-right a{
    text-decoration: none;
    display: flex;
    gap: 10px;
    align-items: center;
    height: 42px;
    background-color: var(--secondary-blue);
    color: var(--primary-white);
    padding: 0px 30px;
}

.nav-right a p{
    margin: 0;
    font-size: 15px;
    margin-top: 1px;
    color: var(--primary-white);
}

.nav-right a img{
    width: 15.5px;
}

/* Hover y animaciones boton del nav*/

.nav-right a:hover{
    transform: scale(105%);
    background-color: var(--primary-red);
    transition: transform 0.3s ease;
}


/* Activamos animación en hover del telefono */
.nav-right a:hover img{
    transition: transform 0.3s ease;
}

.nav-right a:hover img {
  animation: vibrar 0.6s ease-in-out;
}

/* Keyframes */
@keyframes vibrar {
  0%   { transform: rotate(0deg); }
  20%  { transform: rotate(-10deg); }
  40%  { transform: rotate(10deg); }
  60%  { transform: rotate(-8deg); }
  80%  { transform: rotate(8deg); }
  100% { transform: rotate(0deg); }
}

/*Navbar mobile*/

/* HAMBURGUESA */
.menu-toggle {
  display: none;
  flex-direction: column;
  gap: 6px;
  cursor: pointer;
}

.menu-toggle span {
  width: 25px;
  height: 3px;
  background: var(--primary-white);
  transition: 0.3s;
}

.menu-open .menu-toggle span{
    background: var(--primary-blue);
}


.navbar-into.menu-open .menu-toggle span:nth-child(1) {
  transform: translateY(9px) rotate(45deg);
}

.navbar-into.menu-open .menu-toggle span:nth-child(2) {
  opacity: 0;
}

.navbar-into.menu-open .menu-toggle span:nth-child(3) {
  transform: translateY(-9px) rotate(-45deg);
}

/* MOBILE */
@media (max-width: 800px) {

  .nav-center{
    position: absolute;
    top: 78px;
    left: 0;
    width: 100%;
   
    flex-direction: column;
    align-items: center;
    gap: 25px;
    padding-bottom: 25px;
    padding-top: 20px;

    transform: translateY(-200%);
    transition: 0.3s ease;
    z-index: -1;
   
  }

  .nav-right {
    position: absolute;
    display: flex;
    justify-content: center;
    top: 273px;
    left: 0;
    width: 100%;
    transform: translateY(-800%);
    transition: 0.3s ease;
    z-index: -1;
  }


  .nav-center.active, .nav-right.active {
    transform: translateY(0);
    background-color: white;
  }

  .nav-right.active {
    padding: 25px 0;
  }

  /* configuracion para menu */

  .navbar-into.menu-open{
    background-color: white;
  }

  .menu-toggle {
    display: flex;
  }

  
.menu-toggle.white-burguer span {
  
  background: var(--primary-blue);
 
}

  
}


/* Footer */

.footer {
  background-color: #0b2560;
  color: var(--primary-white);
  padding-top: 60px;
  padding-bottom: 30px;
  position: relative;

  background-image: url("../assets/footer_fondo_2.webp");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;

}

.footer p{
    color: var(--primary-white);
}

/* Overlay para controlar opacidad */
.footer::before {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(11, 37, 96, 0.40);
  z-index: 0;
}

.footer-container {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 40px;
  position: relative;
  z-index: 1;
  padding-bottom: 55px;
  border-bottom: 1px solid rgba(255,255,255,0.2);
  overflow: hidden;
}



/* Columnas */
.footer-column {
  display: flex;
  flex-direction: column;
}

/* Divisores verticales */
.footer-column:not(:last-child) {
  border-right: 1px solid rgba(255,255,255,0.2);
  padding-right: 20px;
}

.footer-logo {
  width: 100px;
  margin-bottom: 15px;
}

.footer-description {
  font-size: 14px;
  line-height: 1.6;
  opacity: 0.8;
}

.footer-column h3 {
  margin-bottom: 25px;
  font-size: 18px;
  font-weight: 600;
}

.footer-column ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.footer-column ul li {
  margin-bottom: 15px;
}

.footer-column a {
  color: #eee;
  text-decoration: none;
  transition: 0.3s;
}

.footer-column a:hover {
  color: #c73027;
}

/* Address */
.address p{
    margin-top: 0;
    margin-bottom: 15px;
    display: flex;
    align-items: center;
}

.address img{
    width: 20px;
    margin-right: 10px;
}

/* Social */
.social-links {
  display: flex;
  gap: 25px;
}

.social-links img {
  width: 22px;
  transition: transform 0.3s ease;
}

.social-links a:hover img {
  transform: scale(1.2);
}

/* Bottom */
.footer-bottom {
  text-align: center;
  margin-top: 25px;
  font-size: 13px;
  opacity: 0.7;
  position: relative;
  z-index: 1;
}




.footer-retro{
    position: absolute;
    bottom: 0;
    left: -80px; /* empieza fuera de pantalla */
    width: 65px;
    transform: scaleX(-1);
    animation: retroMove 20s linear infinite;
}

@keyframes retroMove {
    from {
        left: -80px;
    }
    to {
        left: 100%;
    }
}



/* Footer responsive*/
@media (max-width: 900px) {
  .footer-container {
    grid-template-columns: 1fr 1fr;
    gap: 30px;
  }

  .footer-column {
    border-right: none !important;
    padding-right: 0 !important;
  }
}

@media (max-width: 600px) {
  .footer-container {
    grid-template-columns: 1fr;
  }

  .social-links{
    margin-bottom: 20px;
    gap: 35px;
  }

  .social-links img{
    width: 30px;
  }
}

/* Top Title */
.top-title{
    color: var(--primary-blue);
    text-transform: uppercase;
    font-weight: 600;
    letter-spacing: 3px;
  
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 16px;
}

.top-title img{
    width: 20px;
    margin-top: -1px;
}

/* Botones */

.hero-btn {
  background: var(--primary-red);
  padding:  17px 30px ;
  border-radius: 4px;
  transition: 0.3s;
  width: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 15px;
  text-decoration: none;
   transition: transform 0.3s ease-in-out;
}


.hero-btn:nth-child(2) {
  background-color: var(--secondary-blue);
}

.hero-btn:nth-child(2):hover {
  transform: scale(1.05);
  background-color: var(--primary-blue);
}

.hero-btn:nth-child(1):hover {
  transform: scale(1.05);
  background-color: var(--secondary-red);
}

@media(max-width: 550px){

    .hero-btn{
        width: 100%;
    }
}

.hero-btn p{
    color: white;
   
    margin-bottom: 0;
}

.hero-btn:first-child img{
    width: 23px;
}

.hero-btn:last-child img{
    width: 18px;
}

/*  PAGINA DE MATERIALES */


/* Banner */

.banner {
    position: relative;
    width: 100%;
    
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
   

}

/* Imagen fondo */
.banner-bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 2;
}

/* Overlay oscuro */
.banner-overlay {
    position: absolute;
    inset: 0;
    z-index: 1;

    background: var(--primary-blue);
    
}

/* Contenido centrado */
.banner-content {
    position: relative;
    z-index: 3;
   
    padding-top: 100px;
    padding-bottom: 50px;
}

/* Tipografía */
.banner-content h1 {
     font-size: 2.6rem;
    margin-bottom: 30px;
    color:var(--primary-white);
}

.banner-content p {
    font-size: 20px;
    
    color: var(--secondary-white);
}

/* Responsive */
@media (max-width: 768px) {
    .banner {
        min-height: 220px;
    }

    .banner-content h1 {
        font-size: 1.8rem;
    }

    .banner-content p {
        font-size: 1rem;
    }
}

/* Grid Products */

.grid-products-container{
    display: flex;
    flex-direction: column;
    gap:40px;
}



.grid-products-content{
    display: flex;
    flex-direction: column;
    text-align: center;
    align-items: center;
    
    gap: 20px;
}

.image-grid{
    display:grid;
    grid-template-columns: repeat(3, 1fr);
    gap:40px;
}

.grid-item{
    position: relative;
    background:white;
    box-shadow:10px 10px 0 var(--primary-blue);
    border-radius: 10px 10px 10px 10px;
    width: 100%;
    aspect-ratio: 1/1;
    max-height: 300px;
    z-index: 1;
    
}



.grid-item::after{
    content:"";
    position:absolute;
    left: 25%;
    bottom:-10px;
    width:30%;
    height:10px;
    background:var(--primary-red);
    transform:skewX(-35deg);
    z-index:-1;
}

/* Centrar el último item cuando queda solo en la fila (Desktop - 3 columnas)  (ultimo item)*/
.image-grid .grid-item:last-child:nth-child(3n + 1){
    grid-column-start: 2;
}

@keyframes slideDecor{

    0%{
        transform:skewX(-35deg) translateX(0);
    }
    

    50%{
        transform:skewX(-35deg) translateX(40px);
    }

    100%{
        transform:skewX(-35deg) translateX(0);
    }

}


.grid-item:hover::after{
    animation: slideDecor 0.6s ease;
}



.grid-item img{
    width:100%;
    height:100%;
    border-radius: 10px;
    object-fit: cover;
    display:block;
    
}

.grid-overlay{
    position:absolute;
    bottom:0;
    left:0;
    width:100%;
    padding:20px;
    background: rgba(44,43,43,0.6);
    color:white;
    text-align:center;
    border-radius:10px;
    transition:.3s;
}



.grid-overlay h3{
    margin:0;
    font-weight:600;
}

.grid-more{
    position:absolute;
    left:50%;
    transform:translate(-50%, 10px);
    bottom:10px;
    padding:10px 20px;
    background: var(--primary-blue);
    color:var(--primary-white);
    font-size:14px;
    border-radius:6px;
    opacity:0;
    transition:.3s;
   
}

.grid-item:hover .grid-more{
    opacity:1;
    transform:translate(-50%, -10px);
}

.grid-more:hover{
    background-color: var(--secondary-blue);
}

.grid-item:hover .grid-overlay{
    padding-bottom: 70px;
}


@media (max-width:768px){

    .image-grid{
        grid-template-columns: repeat(2, 1fr);
        gap: 25px;
    }

    .grid-item{
    box-shadow:8px 8px 0 var(--primary-blue);
    }

    .grid-item::after{
        bottom:-8px;
        height:8px;
    }

    
     .grid-item .grid-overlay{
    padding-bottom: 20px;
}

    /* En tablet son 2 columnas, así que reseteamos y usamos otra técnica (ultimo item) */
    .image-grid .grid-item:last-child:nth-child(3n + 1){
        grid-column-start: auto;
    }

    .image-grid .grid-item:last-child:nth-child(2n + 1){
        grid-column: 1 / -1;
        justify-self: center;
        width: calc((100% - 25px) / 2); /* mismo ancho que una columna */
    }


}

@media(max-width: 600px){

    .grid-overlay{
        padding: 10px 0;
    }

    .grid-overlay h3{
        font-size: 18px;
        font-weight: 500;
    }

     .image-grid{
        grid-template-columns: repeat(1, 1fr);
        gap: 40px;
    }

       .grid-item .grid-overlay{
    padding-bottom: 70px;
    padding-top: 20px;
}

.grid-item .grid-more{
    opacity:1;
    transform:translate(-50%, -10px);
    padding: 10px 15px;
}

    /* En mobile es 1 columna, el item ya ocupa todo el ancho normalmente (ultimo item) */
    .image-grid .grid-item:last-child:nth-child(2n + 1){
        grid-column: auto;
        justify-self: auto;
        width: 100%;
    }

}




/* Animacion de grid */

/* estado inicial */

.grid-products-content .top-title,
.grid-products-content h2,
.grid-products-content p{
    opacity:0;
    transform:translateY(30px);
    transition:all .8s ease;
}

/* cuando aparece la seccion */

.grid-products.show .top-title{
    opacity:1;
    transform:translateY(0);
}

.grid-products.show h2{
    opacity:1;
    transform:translateY(0);
    transition-delay:.2s;
}

.grid-products.show p{
    opacity:1;
    transform:translateY(0);
    transition-delay:.4s;
}


/* cards */

.grid-item{
    opacity:0;
    transform:translateY(40px) scale(.96);
    transition:all .7s ease;
}

.grid-item.show{
    opacity:1;
    transform:translateY(0) scale(1);
}

/* Adaptacion grid materiales*/

.margin-xl.materiales-page{
    margin-top: 70px;
}

/* Benefits section */

/* CONTENEDOR CENTRAL */
.benefits-container {
  display: flex;
  gap: 60px;
}


/* IZQUIERDA */
.left {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.benefits-title{
    gap: 20px;
    display: flex;
    flex-direction: column;
}

.benefit-img{
    width: 100%;
    margin-top: 20px;
}


/* DERECHA */
/* DERECHA */
.right {
  flex: 1;
  display: grid;
  grid-template-columns: 1fr; /* 1 columna por defecto */
  gap: 20px;
}

/* <= 900px → 2 columnas, 2 filas */
@media (max-width: 900px) {
  .right {
    grid-template-columns: 1fr 1fr;
    gap:30px;
  }

  .right .card:nth-of-type(3), .right .card:nth-of-type(4){
    margin-top: 30px;
  }

  .benefits-container{
    flex-direction: column;
  }
}


/* <= 600px → vuelve a 1 columna */
@media (max-width: 600px) {
  .right {
    grid-template-columns: 1fr;
    gap: 40px;
  }

  .right .card:nth-of-type(3), .right .card:nth-of-type(4){
    margin-top: 0px;
  }

}

/* CARDS */
.card {
  display: flex;
  gap: 15px;
 
}


.card-into{
    width: 12%;
    max-width: 150px;
    min-width: 60px;
}
.card-img {
  width: 100%;
  position: relative;
}

.card-img .benefit-icon{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 40%;
}

.card-img img.blob{
    width: 100%;
}

.img-wrap{
    position: relative;
    display: inline-block;
}

/* imagen */
.benefit-img{
    display: block;
    width: 100%;
    border-radius: 10px;
    position: relative;
    z-index: 1;
}

/* sombra azul (como tu box-shadow pero más controlada) */
.img-wrap::before{
    content:"";
    position:absolute;
    top: 30px;
    left: 10px;
    width: 100%;
    height: calc(100% - 20px);
    background:#0b2560;
    border-radius: 10px;
    z-index: 0;
}

/* diagonal roja */
.img-wrap::after{
    content:"";
    position:absolute;
    left: 25%;
    bottom: -10px;
    width: 40%;
    height: 10px;
    background:#c73027;
    transform: skewX(-35deg);
    z-index: 2;
}

.card .text{
    width: 88%;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.card .text h3,
.card .text p {
  margin: 0;
}

.card .text h3 span{
    color: var(--primary-red);
}

/* Animacion seccion ventajas pagina Materiales*/

/* ESTADO INICIAL */
.benefits-container .left,
.benefits-container .card {
    opacity: 0;
    transform: translateY(60px);
    transition:
        opacity 0.8s ease,
        transform 0.8s ease;
}

/* CUANDO APARECEN */
.benefits-container .show {
    opacity: 1;
    transform: translateY(0);
}

/* DELAY PARA EFECTO ESCALONADO */
.benefits-container .card:nth-child(1) {
    transition-delay: 0.1s;
}

.benefits-container .card:nth-child(2) {
    transition-delay: 0.2s;
}

.benefits-container .card:nth-child(3) {
    transition-delay: 0.3s;
}

.benefits-container .card:nth-child(4) {
    transition-delay: 0.4s;
}

/* CTA Section */

.cta-container{
  
    min-height: 569px;
   position: relative;
   display: flex;
   align-items: center;
 
}

.cta-container-img{
    position: absolute;
    width: 100%;
    height: 100%;
    inset: 0;
    object-fit: cover;
    z-index: -1;
    opacity: 0;
    
    transition: all 1s ease;
}

.cta-overlay{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
      background: linear-gradient(
    to bottom,
     rgba(8, 26, 69, 0.75),
    rgba(8,26,69,0.65),
    rgba(8,26,69,0.55),
    rgba(8,26,69,0.45)
  );
    z-index: 1;

    opacity: 0;
    transition: opacity 1.2s ease;
}


.cta-container{
    display: flex;
    justify-content: center;
    align-items: center;
}
.cta-content{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
    z-index: 2;
    max-width: 60%;
    gap: 50px;
}

.cta-title{
    text-align: center;
    
}

.cta-title h2{
    color: var(--primary-white);
    margin-bottom: 50px;
    font-size: 40px;
}

.cta-title p{
    color: var(--secondary-white);
    font-size: 18px;
}
.cta-btns{
    display: flex;
    width: 80%;
    gap: 30px;
}

.cta-btns .hero-btn{
    transition: all 0.5s ease;
}


@media(max-width:1000px){
    .cta-content2{
        max-width: 100%;
        padding: 20px;
        gap: 50px;
    }

    .cta-title h2{
        margin-bottom: 50px;
    }
}



@media(max-width: 950px){
    .cta-btns{
        flex-direction: column;
    }

    .cta-btns .hero-btn{
        width: 100%;
    }

    .cta-container{

    min-height: 700px;
 }

 .cta-content{
         max-width: 75%;
    }


}


@media(max-width: 700px){
    .cta-btns{
        width: 100%;
    }

     .cta-title h2{
        font-size: 32px;
    }

    .cta-content{
         max-width: 85%;
    }
}

/* Cta Animation*/
/* Estado inicial (oculto) */
.cta-content {
    opacity: 0;
    transform: translateY(50px) scale(0.95);
    transition: all 0.8s ease;
}

.cta-container.show .cta-container-img{
    opacity: 1;
    transform: scale(1); /* zoom out suave */
}

.cta-container.show .cta-overlay{
    opacity: 1;
}

.cta-title h2,
.cta-title p,
.cta-btns a {
    opacity: 0;
    transform: translateY(30px);
}

/* Cuando aparece */
.cta-content.show {
    opacity: 1;
    transform: translateY(0) scale(1);
}

/* Animaciones escalonadas */
.cta-content.show .cta-title h2 {
    animation: fadeUp 0.8s ease forwards;
    animation-delay: 0.2s;
}

.cta-content.show .cta-title p {
    animation: fadeUp 0.8s ease forwards;
    animation-delay: 0.4s;
}

.cta-content.show .cta-btns a:nth-child(1) {
    animation: fadeUp 0.8s ease forwards;
    animation-delay: 0.6s;
}

.cta-content.show .cta-btns a:nth-child(2) {
    animation: fadeUp 0.8s ease forwards;
    animation-delay: 0.8s;
}

/* Keyframes */
@keyframes fadeUp {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}


.cta-btns .hero-btn:hover{
    transform: scale(1.05) !important;
    
}